#pragma export on

#ifdef _EXPORT
class _EXPORT EyeView;
#endif

class EyeView : public BView 
{
public:
	EyeView(BRect frame, int32 numOfEyes);
	EyeView(BMessage *msg);
	virtual ~EyeView();
	virtual status_t Archive(BMessage *data, bool deep = true) const;
	static EyeView *Instantiate(BMessage *data);
	virtual void MessageReceived(BMessage *msg);
private:
	void InitFunc(int32 numOfEyes);
	int32 fEyeNum;
	BDragger *dragger;
};

#pragma export reset